# This package was forked from redhat-release-atomic-host.
%define debug_package %{nil}
%define _disable_source_fetch 0

# RHEL part
%define base_product_family Red Hat Enterprise Linux
%define base_release_version 8
%define full_release_version 8.4
%define dist_release_version 8
%define dist .el%{dist_release_version}ev
%define rhel_files_branch rhel-%{full_release_version}.0

# RHV variant part
%define product_family Red Hat Virtualization
%define product_family_concat RedHatVirtualization

%define variant_id ovirt-node
%define variant_titlecase Host
%define variant_titlecase_concat Host
%define variant_lowercase hypervisor
%define variant_full_release_version 4.4.8
%define release_pkg_version 1

%define redhat_release_version %{full_release_version}

%define ssg_content_dir %{_prefix}/share/xml/scap/ssg/content/
%define rhvh_ssg_ds_xml %{ssg_content_dir}/ssg-rhvh4-ds.xml


Name:           redhat-release-virtualization-host
Version:        %{variant_full_release_version}
Release:        %{release_pkg_version}%{?dist}
Summary:        %{product_family} %{variant_titlecase} release file
Group:          System Environment/Base
License:        GPLv2

Provides:       redhat-release = %{redhat_release_version}
Provides:       system-release = %{full_release_version}
Provides:       system-release(releasever) = %{base_release_version}%{product_family_concat}%{?variant_titlecase_concat}
Provides:       base-module(platform:el%{base_release_version})


ExclusiveArch:  x86_64

# Use the complete source, to know where it came from
Source0:        http://pkgs.devel.redhat.com/cgit/rpms/rhelfiles/plain/RPM-GPG-KEY-redhat-release?h=%{rhel_files_branch}#/RPM-GPG-KEY-redhat-release
Source1:        http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/plain/product_ids/rhvh-4.4/RHVH-x86_64-c3bc91a1d7db-328.pem?id=c62435f2e4b8b498d75516f7ab22f8919849ddf3#rhvh-4.4/RHVH-x86_64-c3bc91a1d7db-328.pem
Source2:        logo.png
Source3:        bg-login.png
Source4:        branding.css
Source5:        favicon.ico
Source7:        98-ovirt-host-node.preset
Source8:        http://pkgs.devel.redhat.com/cgit/rpms/rhelfiles/plain/EULA?h=%{rhel_files_branch}#/EULA
Source9:        http://pkgs.devel.redhat.com/cgit/rpms/rhelfiles/plain/RPM-GPG-KEY-redhat-beta?h=%{rhel_files_branch}#/RPM-GPG-KEY-redhat-beta
Source10:       redhat-release-virtualization-host-content.conf

%description
%{product_family} %{variant_titlecase} release files

%package -n redhat-virtualization-host-image-update-placeholder
Summary:        The RHV hypervisor Image Update Placeholder
Version:        %{variant_full_release_version}
Release:        %{release_pkg_version}%{?dist}
Group:          System Environment/Base
License:        GPLv2
URL:            https://www.ovirt.org
BuildArch:      noarch

%description -n redhat-virtualization-host-image-update-placeholder
A sub-package to be included into RHV-H Next squashfs
image to allow upgrading itself

%package content
Summary:        Dependencies for the RHV Hypervisor
Version:        %{variant_full_release_version}
Release:        %{release_pkg_version}%{?dist}
Group:          System Environment/Base
License:        GPLv2

# Requirements for RHEL installer
# Requirements for EFI
#
# Additional packages for EFI support
# https://www.brianlane.com/creating-live-isos-with-livemedia-creator.html
# http://lorax.readthedocs.org/en/latest/livemedia-creator.html#kickstarts
Requires: efibootmgr
Requires: grub2-efi-x64
Requires: memtest86+
Requires: syslinux
Requires: shim

# Bug 1781171 - Consume scap-security-guide-rhv in RHV-H
Requires: scap-security-guide-rhv

# Bug 1928607 - redhat-support-tool is missing from latest RHV-H 4.4
Requires: redhat-support-tool

# Core RHV requirements
Requires: ovirt-host
Requires: imgbased
Requires: ovirt-node-ng-nodectl

# Additional RHV requirements
# TODO: track down why they have been added
Requires: virt-who
Requires: openscap-scanner
Requires: iotop
Requires: subscription-manager
Requires: subscription-manager-cockpit
Requires: redhat-access-insights
Requires: python3-ovirt-engine-sdk4
Requires: libvirt

# Requirements to enable services
Requires: audit
Requires(post): systemd

# HCI
Requires: gluster-ansible-roles
Requires: vdsm-gluster

# Trobuleshooting tools
Requires: tcpdump
Requires: net-snmp
Requires: net-snmp-utils



%description content
Dependencies for the RHV hypervisor to enable necessary services and pull in
RHV packages.

%build
echo OK

%install
# create /etc
mkdir -p %{buildroot}/etc %{buildroot}/%{ssg_content_dir}

# set up the dist tag macros
install -d -m 755 %{buildroot}/etc/rpm
cat >> %{buildroot}/etc/rpm/macros.dist << EOF
# dist macros.

%%rhel %{base_release_version}
%%dist %dist
%%el%{base_release_version} 1
EOF


mkdir -p %{buildroot}/etc/pki/product-default
cp %{SOURCE1} %{buildroot}/etc/pki/product-default/328.pem

install -dDm 0755 %{buildroot}/%{_prefix}/share/redhat-release-virtualization-host/branding/
install -Dm 0644 %{SOURCE2} %{buildroot}/%{_prefix}/share/redhat-release-virtualization-host/branding/
install -Dm 0644 %{SOURCE3} %{buildroot}/%{_prefix}/share/redhat-release-virtualization-host/branding/
install -Dm 0644 %{SOURCE4} %{buildroot}/%{_prefix}/share/redhat-release-virtualization-host/branding/
install -Dm 0644 %{SOURCE5} %{buildroot}/%{_prefix}/share/redhat-release-virtualization-host/branding/

install -dDm 0755 %{buildroot}/%{_prefix}/lib/systemd/system-preset
install -Dm 0644 %{SOURCE7} %{buildroot}/%{_prefix}/lib/systemd/system-preset/

install -m 644 %{SOURCE8} %{buildroot}/%{_datadir}/redhat-release-virtualization-host

mkdir -p -m 755 %{buildroot}/etc/pki/rpm-gpg
install -m 644 %{SOURCE0} %{buildroot}/etc/pki/rpm-gpg/
install -m 644 %{SOURCE9} %{buildroot}/etc/pki/rpm-gpg/

mkdir -p -m 755 %{buildroot}/%{_sysconfdir}/dnf/protected.d
install -m 644 %{SOURCE10} %{buildroot}/%{_sysconfdir}/dnf/protected.d/

# create /etc/system-release and /etc/redhat-release
echo "%{base_product_family} release %{full_release_version}" > %{buildroot}/etc/redhat-release
ln -s redhat-release %{buildroot}/etc/system-release

# make sure we have an scap security guide
# symlink target provided by scap-security-guide-rhv package.
ln -sf %{ssg_content_dir}/ssg-rhv4-ds.xml %{buildroot}/%{rhvh_ssg_ds_xml}

# create /etc/os-release
mkdir -p %{buildroot}/usr/lib/os.release.d/
cat << EOF >>%{buildroot}/usr/lib/os.release.d/os-release-rhv-host
NAME="%{base_product_family}"
VERSION="%{full_release_version}"
VERSION_ID="%{full_release_version}"
PLATFORM_ID="platform:el%{base_release_version}"
ID="rhel"
ID_LIKE="fedora"
VARIANT="%{?product_family} %{?variant_titlecase}"
VARIANT_ID="%{?variant_id}"
PRETTY_NAME="%{product_family} %{variant_titlecase} %{variant_full_release_version} (el%{full_release_version})"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:%{full_release_version}:%{?beta:beta}%{!?beta:GA}%{?variant_lowercase::%{variant_lowercase}}"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

# FIXME
REDHAT_BUGZILLA_PRODUCT="%{product_family}"
REDHAT_BUGZILLA_PRODUCT_VERSION=%{full_release_version}
REDHAT_SUPPORT_PRODUCT="%{product_family}"
REDHAT_SUPPORT_PRODUCT_VERSION=%{full_release_version}
EOF

ln -s ../usr/lib/os-release %{buildroot}/etc/os-release
ln -s os.release.d/os-release-rhv-host %{buildroot}/usr/lib/os-release

# write cpe to /etc/system/release-cpe
echo "cpe:/o:redhat:enterprise_linux:%{full_release_version}:%{?beta:beta}%{!?beta:GA}%{?variant_lowercase::%{variant_lowercase}}" | tr [A-Z] [a-z] > %{buildroot}/etc/system-release-cpe

# create /etc/issue and /etc/issue.net
echo '\S' > %{buildroot}/etc/issue
echo 'Kernel \r on an \m' >> %{buildroot}/etc/issue
cp %{buildroot}/etc/issue %{buildroot}/etc/issue.net
echo >> %{buildroot}/etc/issue


%post content
systemctl enable cockpit.socket
systemctl enable sshd.service
systemctl enable auditd.service
systemctl enable rsyslog.service
systemctl enable crond.service
systemctl enable imgbase-setup.service
systemctl enable NetworkManager.service
systemctl enable libvirtd.service

# Mask brandbot for rhbz#1355727
systemctl mask brandbot.path

firewall-offline-cmd --add-service=cockpit >/dev/null 2>&1
firewall-offline-cmd --add-service=vdsm >/dev/null 2>&1
firewall-offline-cmd --add-service=libvirt >/dev/null 2>&1
firewall-offline-cmd --add-service=ssh >/dev/null 2>&1
firewall-offline-cmd --add-service=glusterfs >/dev/null 2>&1
firewall-offline-cmd --add-port=16514/tcp >/dev/null 2>&1
systemctl restart firewalld.service >/dev/null 2>&1

# Only on installation
if [ $1 = 1 ]; then
    # /etc/pki/product/479.pem is RHEL8 product pem placed by base os
    # we are getting rid of it to have only rhvh product listed.
    rm /etc/pki/product/479.pem
    source /etc/os-release
    ln -sf %{_prefix}/share/redhat-release-virtualization-host/branding %{_prefix}/share/cockpit/branding/$ID-ovirt-node
fi

systemctl restart cockpit.service >/dev/null 2>&1

#
# NGN TEMPORARY HACKS
# For each hack there must be a bug, and they must be removed at
# some point in time
# ===================

# Really ensure that myhostname is added
# https://bugzilla.redhat.com/show_bug.cgi?id=132994
sed -i.bak_ngn -e '
/^hosts:/ !b
/\<myhostname\>/ b
s/[[:blank:]]*$/ myhostname/
' /etc/nsswitch.conf

# =======================
# NGN TEMPORARY HACKS END
#

%files -n redhat-virtualization-host-image-update-placeholder

%files content

%files
%dir %{_prefix}/share/redhat-release-virtualization-host
%dir %{_prefix}/share/redhat-release-virtualization-host/branding

%config(noreplace) /etc/issue
%config(noreplace) /etc/issue.net
%config /etc/os-release
%config /etc/system-release
%config /etc/system-release-cpe
%config /etc/redhat-release
%config %{_sysconfdir}/dnf/protected.d/redhat-release-virtualization-host-content.conf
/etc/pki/rpm-gpg
/etc/rpm/macros.dist
%{_datadir}/redhat-release-virtualization-host/EULA
%{_sysconfdir}/pki/product-default/328.pem
%{_prefix}/lib/systemd/system-preset/*
%{_prefix}/share/redhat-release-virtualization-host/branding/logo.png
%{_prefix}/share/redhat-release-virtualization-host/branding/bg-login.png
%{_prefix}/share/redhat-release-virtualization-host/branding/favicon.ico
%{_prefix}/share/redhat-release-virtualization-host/branding/branding.css
%{_prefix}/lib/os.release.d/os-release-rhv-host
%{_prefix}/lib/os-release
%{rhvh_ssg_ds_xml}


%changelog
* Tue Jul 27 2021 Asaf Rachmani <arachman@redhat.com> - 4.4.8-1.el8ev
- Build 4.4.8-1

* Tue Jul 27 2021 Asaf Rachmani <arachman@redhat.com> - 4.4.7-4.el8ev
- Build 4.4.7-4

* Tue Jul 06 2021 Sandro Bonazzola <sbonazzo@redhat.com> - 4.4.7-3.el8ev
- Build 4.4.7-3
- Fixes BZ#1976118

* Fri Jun 25 2021 Sandro Bonazzola <sbonazzo@redhat.com> - 4.4.7-2.el8ev
- Build 4.4.7-2
- Fixes BZ#1976095
- Drop dependencies already provided by ovirt-host

* Thu Jun 10 2021 Asaf Rachmani <arachman@redhat.com> - 4.4.6-2.el8ev
- Build 4.4.6-2

* Wed Mar 24 2021 Sandro Bonazzola <sbonazzo@redhat.com> - 4.4.6-1.el8ev
- Fixes BZ#1942580
- Fixes BZ#1789122

* Tue Feb 23 2021 Sandro Bonazzola <sbonazzo@redhat.com> - 4.4.5-4
- Add redhat-support-tool dependency (rhbz#1928607)

* Thu Feb 11 2021 Nir Levy <nlevy@redhat.com> - 4.4.5-3
- Adding redhat-release-virtualization-host-content.conf (rhbz#1927395)

* Thu Feb 04 2021 Asaf Rachmani <arachman@redhat.com> - 4.4.5-2
- Build 4.4.5-2

* Sun Jan 17 2021 Asaf Rachmani <arachman@redhat.com> - 4.4.5-1
- Build 4.4.5-1

* Sun Jan 17 2021 Asaf Rachmani <arachman@redhat.com> - 4.4.4-2
- Build 4.4.4-2

* Mon Dec 14 2020 Asaf Rachmani <arachman@redhat.com> - 4.4.4-1
- Build 4.4.4-1

* Mon Nov 30 2020 Asaf Rachmani <arachman@redhat.com> - 4.4.3-2
- Build 4.4.3-2

* Wed Aug 05 2020 Nir Levy <nlevy@redhat.com> - 4.4.3-1
- Build 4.4.3-1

* Wed Aug 05 2020 Nir Levy <nlevy@redhat.com> - 4.4.2-1
- Build 4.4.2-1

* Wed May 27 2020 Nir Levy <nlevy@redhat.com> - 4.4.1-1
- Build 4.4.1-1

* Mon May 18 2020 Nir Levy <nlevy@redhat.com> - 4.4.0-21
- Certificate fixed, removed rhel8 pem.

* Sun May 17 2020 Nir Levy <nlevy@redhat.com> - 4.4.0-20
- Certificate fixed to have RHVH.

* Wed May 13 2020 Nir Levy <nlevy@redhat.com> - 4.4.0-19
- Certificate updated

* Thu Apr 02 2020 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-18
- Do not enable ovirt-vmconsole-host-sshd.service

* Tue Mar 31 2020 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-17
- Updated SCAP symlink (rhbz#1817443)

* Sun Mar 29 2020 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-16
- Require subscription-manager-cockpit (rhbz#1800456)

* Thu Mar 26 2020 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-15
- Enable rdma.service by default (rhbz#1809618)

* Wed Feb 26 2020 Nir Levy <nlevy@redhat.com> - 4.4.0-14
- requires gluster-ansible-roles.

* Thu Feb 13 2020 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-13
- Bump to 8.2 (rhbz#1800508)

* Sun Dec 29 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-12
- Build 4.4.0-12

* Thu Dec 12 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-11
- Updated certificate for 4.4

* Tue Dec 03 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-10
- Require libvirt

* Thu Nov 28 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-9
- Removed screen from requirements
- Added back vdsm-gluster

* Thu Nov 07 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-8
- Fixed scap-security-guide link

* Thu Nov 07 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-7
- Bump to 4.4.0-7

* Thu Nov 07 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-6
- Add PLATFORM_ID to os-release
- Update scap-security-guide symlink

* Thu Nov 07 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-5
- Update presets
- Require grub2-efi-x64

* Wed Oct 02 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-4
- Updated logo

* Tue Jul 23 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-3
- Temporarily remove gluster requirements

* Tue Jul 23 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-2
- Require openscap-scanner

* Mon Jul 22 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-1
- Removed vdsm-gluster

* Tue Jul 16 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-0
- Require python3-ovirt-engine-sdk4

* Sun May 12 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4-0.2
- Set dist to el8ev

* Tue May 07 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4-0.1
- Initial build for 4.4 on RHEL-8

* Thu Feb 21 2019 Yuval Turgeman <yturgema@redhat.com> - 4.3-0.5
- Replace gdeploy with gluster-ansible-roles (rhbz#1673953)

* Tue Feb 19 2019 Yuval Turgeman <yturgema@redhat.com> - 4.3-0.4
- Update to 4.3-0.4
- Enable imgbase-setup.service

* Tue Feb 05 2019 Yuval Turgeman <yturgema@redhat.com> - 4.3-0.3
- Update to 4.3-0.3
- Updated certificate for 4.3 (rhbz#1669377)

* Wed Nov 28 2018 Yuval Turgeman <yturgema@redhat.com> - 4.3-0.2
- Update to 4.3-0.2
- Added SCAP security guide (rhbz#1634239)

* Sun Nov 25 2018 Yuval Turgeman <yturgema@redhat.com> - 4.3-0.1
- Update to 4.3-0.1
- Update os-release to 7.6 (BZ#1646147)

* Wed Sep 26 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 4.3.0-0
- Update to 4.3.0-0
- Ship /etc/rpm/macros.dist
- Resolves: BZ#1632741

* Fri Sep 07 2018 Yuval Turgeman <yturgema@redhat.com> - 4.2.6-1
- Update to 4.2.6-1

* Thu Aug 02 2018 Yuval Turgeman <yturgema@redhat.com> - 4.2.6-0
- Update to 4.2.6-0

* Wed Aug 01 2018 Yuval Turgeman <yturgema@redhat.com> - 4.2.5-1
- Update to 4.2.5-1

* Fri Jun 29 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 4.2.5-0
- Update to 4.2.5

* Thu Jun 07 2018 Ryan Barry <rbarry@redhat.com> - 4.2-4.2
- Disable imgbase-config-vdsm now that vdsm is handling that itself

* Wed Jun 06 2018 Ryan Barry <rbarry@redhat.com> - 4.2-4.1
- Update to 4.2.4

* Thu May 31 2018 Yuval Turgeman <yturgema@redhat.com> - 4.2-3.1
- Release 4.2.3-1

* Wed May 23 2018 Ryan Barry <rbarry@redhat.com> - 4.2-4.0
- Update to 4.2.4

* Fri Apr 27 2018 Ryan Barry <rbarry@redhat.com> - 4.2-3.0
- Move to 4.2.3

* Sat Mar 24 2018 Ryan Barry <rbarry@redhat.com> - 4.2-0.1.el7
- Enable imgbase-relabel-dev and imgbase-fix-new-kernel

* Mon Mar 12 2018 Ryan Barry <rbarry@redhat.com> - 4.2-0.0.el7
- Move to 4.2.2

* Thu Feb 22 2018 Yuval Turgeman <yturgema@redhat.com> - 4.2-1.4.el7
- Provide redhat-release = 7.5-0.14

* Mon Jan 29 2018 Ryan Barry <rbarry@redhat.com> - 4.2-0.7.el7
- Build a test version for 7.5

* Wed Dec 13 2017 Yuval Turgeman <yturgema@redhat.com> - 4.2-0.6.el7
- Remove ntp from requirements

* Mon Oct 16 2017 Ryan Barry <rbarry@redhat.com> - 4.2-0.5.el7
- Add libvirt migration ports to the default firewall

* Wed Oct 11 2017 Ryan Barry <rbarry@redhat.com> - 4.2-0.4.el7
- Add cockpit-ovirt back because ovirt-host doesn't require it

* Wed Oct 11 2017 Ryan Barry <rbarry@redhat.com> - 4.2-0.3.el7
- Add vdsm-gluster back because ovirt-host doesn't require it

* Wed Oct 11 2017 Ryan Barry <rbarry@redhat.com> - 4.2-0.2.el7
- Require ovirt-host

* Thu Aug 24 2017 Ryan Barry <rbarry@redhat.com> - 4.2-0.1.el7
- Add ovirt-vmconsole-host-sshd to the preset

* Mon Aug 14 2017 Ryan Barry <rbarry@redhat.com> - 4.2-0.0.el7
- Release 4.2

* Mon Jul 31 2017 Ryan Barry <rbarry@redhat.com> - 4.1-5.1.el7
- Require ntp for backwards compatibility

* Tue Jul 18 2017 Ryan Barry <rbarry@redhat.com> - 4.1-4-1.el7
- Release 4.1.4

* Mon Jul 03 2017 Ryan Barry <rbarry@redhat.com> - 4.1-4-0.el7
- Release EL 7.4
- Add vdsm-hook-vfio-mdev

* Thu Jun 22 2017 Ryan Barry <yturgema@redhat.com> - 4.1-3.3.el7
- Add python-ovirt-engine-sdk4

* Wed Jun 07 2017 Ryan Barry <rbarry@redhat.com> - 4.1-3.2.el7
- Add libvirtd to the systemd preset

* Tue May 30 2017 Ryan Barry <rbarry@redhat.com> - 4.1-3.1.el7
- Enable libvirtd by default

* Tue May 30 2017 Ryan Barry <rbarry@redhat.com> - 4.1-3.0.el7
- Build 4.1.3

* Mon May 22 2017 Ryan Barry <rbarry@redhat.com> - 4.1-2.1.el7
- Release 4.1.2

* Fri Apr 14 2017 Ryan Barry <rbarry@redhat.com> - 4.1-1.1.el7
- Require cockpit-dashboard

* Thu Mar 30 2017 Ryan Barry <rbarry@redhat.com> - 4.1-0.14.el7
- Add EULA

* Thu Mar 16 2017 Yuval Turgeman <yuvalt@redhat.com> - 4.1-0.13.el7
- Revert requires cloud-utils-growpart

* Thu Mar 16 2017 Yuval Turgeman <yuvalt@redhat.com> - 4.1-0.12.el7
- Updated certificate

* Wed Mar 15 2017 Yuval Turgeman <yuvalt@redhat.com> - 4.1-0.11.el7
- Add cloud-utils-growpart

* Tue Mar 07 2017 Douglas Schilling Landgraf <dougsland@redhat.com> - 4.1-0.10.el7
- Add requirement to enable imgbase-config-vdsm.service

* Tue Mar 07 2017 Yuval Turgeman <yuvalt@redhat.com> - 4.1-0.9.el7
- Add net-snmp and net-snmp-utils

* Tue Mar 07 2017 Yuval Turgeman <yuvalt@redhat.com> - 4.1-0.8.el7
- Updated certificate

* Wed Feb 08 2017 Ryan Barry <rbarry@redhat.com> - 4.1-0.7.el7
- Add gluster to the default firewall zone
- Remove NGN networkmanager disable

* Thu Jan 12 2017 Ryan Barry <rbarry@redhat.com> - 4.1-0.6.el7
- Add rng-tools

* Thu Jan 12 2017 Ryan Barry <rbarry@redhat.com> - 4.1-0.5.el7
- Add collectd-disk and collectd-write_http

* Wed Jan 11 2017 Ryan Barry <rbarry@redhat.com> - 4.1-0.4.el7
- Enable imgbase-copy-bootfiles

* Wed Jan 11 2017 Ryan Barry <rbarry@redhat.com> - 4.1-0.3.el7
- Enable the cockpit networking page again

* Wed Jan 11 2017 Ryan Barry <rbarry@redhat.com> - 4.1-0.2.el7
- Require collectd, screen, and gdeploy

* Wed Jan 11 2017 Yuval Turgeman <yuvalt@redhat.com> - 4.1-0.1.el7
- Require tcpdump

* Tue Dec 13 2016 Ryan Barry <rbarry@redhat.com> - 4.0-6.1.el7
- Disable the cockpit networking page again

* Mon Nov 14 2016 Ryan Barry <rbarry@redhat.com> - 4.0-6.0.el7
- Require sysstat
- Enable the cockpit networking page again

* Mon Nov 14 2016 Ryan Barry <rbarry@redhat.com> - 4.0-5.2.el7
- Enable imgbased randomization

* Tue Oct 11 2016 Ryan Barry <rbarry@redhat.com> - 4.0-5.1.el7
- Add cron
- Remove networkmanager tab again

* Wed Sep 28 2016 Ryan Barry <rbarry@redhat.com> - 4.0-5.0.el7
- Update to 7.3

* Fri Sep 16 2016 Ryan Barry <rbarry@redhat.com> - 4.0-4.2.el7
- Enable imgbased-clean-grub

* Thu Sep 15 2016 Ryan Barry <rbarry@redhat.com> - 4.0-4.1.el7
- Require ovirt-node-ng-nodectl instead of nodectl

* Tue Sep 6 2016 Ryan Barry <rbarry@redhat.com> - 4.0-3.el7
- Move dependencies to a subpackage to break depsolving loops

* Wed Aug 17 2016 Fabian Deutsch <fdeutsch@redhat.com> - 4.0-2.el7
- Disable NetworkManager tab in COckpit rhbz#1367669

* Tue Aug 16 2016 Ryan Barry <rbarry@redhat.com> - 4.0-1.1.el7
- Remove NM masking

* Thu Aug 11 2016 Fabian Deutsch <fdeutsch@redhat.com> - 4.0.1.el7
- Add NM masking
- Update he-setup bridge path

* Tue Aug 09 2016 Fabian Deutsch <fdeutsch@redhat.com> - 4.0-0.29.el7
- Remove beta
- Use disableNetworkManager=bool:True

* Wed Aug 3 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.26.el7
- Remove ovirt-node-ng-image-update-placeholder -- better method found

* Tue Aug 2 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.25.el7
- Pull anaconda-branding (it's now redhat-virtualization-host-productimg)
- Mask brandbot
- Add the EL version to os-release

* Fri Jul 29 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.24.el7
- Break the dependency on redhat-logos for anaconda-branding

* Thu Jul 28 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.23.el7
- Add ovirt-node-ng-image-update-placeholder without mutual
  dependencies
- Move anaconda branding to a product.img instead

* Wed Jul 27 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.22.el7
- Remove ovirt-node-ng-image-update-placeholder

* Wed Jul 27 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.21.el7
- Add vdsm-hook-vhostmd back now that it's build
- Add a package for ovirt-node-ng-image-update-placeholder in
  order to enable upgrades from engine
- Add a sidebar logo for anaconda

* Thu Jul 14 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.20.el7
- Fix certificate

* Thu Jul 14 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.19.el7
- Enable imgbase-motd
- Add GPG keys

* Wed Jul 13 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.18.el7
- Fix a typo in the package requirements

* Tue Jul 12 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.17.el7
- Require auditd and rsyslog so we can enable them

* Tue Jul 12 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.16.el7
- New certificate
- Final rebranding changes

* Mon Jul 11 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.15.el7
- Drop vdsm-hook-vhostmd until it's built

* Mon Jul 11 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.14.el7
- Require vdsm hooks
- Start auditd and rsyslog on boot

* Fri Jul 8 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.13.el7
- Require nodectl

* Thu Jul 7 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.12.el7
- Add anaconda-branding

* Thu Jul 7 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.11.el7
- Require dracut-fips

* Thu Jul 7 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.10.el7
- Rebrand visible strings

* Fri Jul 1 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.9.el7
- Remove vdsm-hook-fcoe until it works

* Fri Jun 17 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.8.el7
- Don't include "Beta" in system-release/redhat-release
- Require vdsm-hook-fcoe

* Wed Jun 08 2016 Fabian Deutsch <fdeutsch@redhat.com> - 4.0-0.7.el7
- Relocate product certificate
- Add product certificate
- Move to Beta

* Tue May 24 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.2.el7
- Merge in fixes from 3.6 to require packages, fix up services, etc

* Wed Mar 09 2016 Fabian Deutsch <fdeutsch@redhat.com> - 7.2-20160309.0.rhevh.el7
- Initial release
